[Testing Update] 2018-03-16 - Kernels, Deepin, Firefox, Haskell, Python

update
testing

#1

Hi community,

welcome to another testing update of Manjaro. This is more a fixup to our last update. Additionally we added regular upstream updates as usual.

Here is the list of changes in more details:

  • We updated some of our Kernels
  • We added the latest Deepin packages
  • We fixed the firefox distribution issue
  • We added regular upstream updates like Haskell and Python

Our effort and all the needed information about the new security risk can be found here.

So please report back and give us feedback for given changes made to our repositories. Users of our 32-bit Distro should read this.


Current supported Kernels

  • linux316 3.16.55
  • linux318 3.18.99 [EOL]
  • linux41 4.1.50
  • linux44 4.4.121
  • linux49 4.9.87
  • linux414 4.14.27
  • linux415 4.15.10
  • linux416 4.16-rc5
  • linux-RT-LTS 4.14.24_rt19
  • linux-RT 4.14.24_rt19

Package Updates (Fri Mar 16 07:55:41 CET 2018)

  • testing community x86_64: 251 new and 254 removed package(s)
  • testing core x86_64: 6 new and 6 removed package(s)
  • testing extra x86_64: 45 new and 45 removed package(s)
  • testing multilib x86_64: 8 new and 8 removed package(s)
:: Different overlay package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-03-15           2018-03-16
-------------------------------------------------------------------------------
                       bspwm-scripts               0.34-1               0.35-1
                          lemonpanel  0.31.r195.efd67bb-1  0.33.r196.6944990-1
              manjaro-bspwm-settings           20180315-1           20180315-2
      manjaro-bspwm-settings-minimal           20180315-1           20180315-2
            manjaro-openbox-settings           20180315-1           20180315-4
                              octopi             0.8.10-3             0.8.11-1
                 octopi-cachecleaner             0.8.10-3             0.8.11-1
          octopi-notifier-frameworks             0.8.10-3             0.8.11-1
                 octopi-notifier-qt5             0.8.10-3             0.8.11-1
                 octopi-pacmanhelper             0.8.10-3             0.8.11-1
                   octopi-repoeditor             0.8.10-3             0.8.11-1
             papirus-maia-icon-theme           20180214-1           20180311-1
                             polybar              3.1.0-2              3.1.0-4
                        i3lock-color                    -             2.10.1-4
                        i3lock-fancy                    -       r146.a12ce23-1
                   maia-cursor-theme                    -           20180315-1
              manjaro-openbox-common                    -                1.0-2
               manjaro-openbox-fonts                    -                1.0-2
                          trayer-srg                    -              1.1.7-1
                   yakuake-skin-maia                    -           20180315-1


:: Different sync package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-03-15           2018-03-16
-------------------------------------------------------------------------------
                    adapta-gtk-theme         3.93.0.106-1         3.93.0.174-1
                       cabal-install           2.0.0.1-32           2.0.0.1-35
                             cblrepo            0.24.0-75            0.24.0-76
                               cgrep            6.6.23-13            6.6.23-15
                          clusterssh               4.13-1             4.13.2-1
                             cryptol             2.5.0-36             2.5.0-37
                              csound             6.10.0-8             6.10.0-9
                          csound-doc             6.10.0-8             6.10.0-9
                               darcs   2.12.5.20170909-54   2.12.5.20170909-57
                   deepin-calculator              1.0.1-1              1.0.2-1
                         deepin-dock              4.6.0-2              4.6.1-1
                 deepin-file-manager          1:4.4.8.1-1          1:4.4.8.2-1
                 deepin-image-viewer           1.2.16.9-1             1.2.17-1
                     deepin-metacity            3.22.14-1            3.22.15-1
               deepin-qt5dxcb-plugin            1.1.8.1-1            1.1.8.3-1
                         dotnet-host              2.0.5-1              2.0.6-1
                      dotnet-runtime              2.0.5-1              2.0.6-1
                          dotnet-sdk              2.1.4-1            2.1.101-1
                             dtkcore            1:2.0.7-1          1:2.0.7.1-1
                               geary             0.12.0-3             0.12.1-1
                           git-annex        6.20180227-38        6.20180227-41
                              gitlab             10.5.4-1             10.5.5-1
                       haskell-aeson           1.2.4.0-10           1.2.4.0-11
         haskell-aeson-better-errors           0.9.1.0-48           0.9.1.0-49
                haskell-aeson-compat           0.3.7.1-25           0.3.7.1-26
                haskell-aeson-pretty             0.8.5-33             0.8.5-34
                    haskell-aeson-qq             0.8.2-24             0.8.2-25
                  haskell-attoparsec          0.13.2.2-11          0.13.2.2-12
          haskell-attoparsec-iso8601           1.0.0.0-27           1.0.0.0-28
                haskell-authenticate             1.3.4-67             1.3.4-69
                         haskell-aws              0.19-37              0.19-39
              haskell-binary-orphans           0.1.8.0-21           0.1.8.0-22
               haskell-binary-tagged           0.1.4.2-54           0.1.4.2-55
                  haskell-bower-json           1.0.0.1-46           1.0.0.1-47
                       haskell-brick            0.34.1-14            0.34.1-16
                     haskell-cassava           0.5.1.0-21           0.5.1.0-22
                  haskell-cheapskate             0.1.1-57             0.1.1-58
                     haskell-concise           0.1.0.1-13           0.1.0.1-14
           haskell-concurrent-output             1.10.4-1             1.10.5-1
         haskell-conduit-combinators             1.1.2-41             1.1.2-42
               haskell-conduit-extra           1.2.3.2-24           1.2.3.2-25
                  haskell-config-ini           0.2.2.0-24           0.2.2.0-26
                haskell-configurator           0.3.0.0-34           0.3.0.0-35
             haskell-configurator-ng           0.0.0.1-22           0.0.0.1-23
                   haskell-criterion            1.4.0.0-5            1.4.0.0-8
          haskell-cryptohash-conduit            0.1.1-149            0.1.1-150
          haskell-cryptonite-conduit             0.2.2-42             0.2.2-43
                    haskell-css-text           0.1.3.0-10           0.1.3.0-11
             haskell-data-serializer              0.3.4-2              0.3.4-3
                haskell-data-textual           0.3.0.2-43           0.3.0.2-44
                         haskell-dav             1.3.2-29             1.3.2-30
                 haskell-descriptive             0.9.4-92             0.9.4-93
                         haskell-dns              3.0.2-6              3.0.2-8
                haskell-doctemplates             0.2.1-19             0.2.1-20
                      haskell-either                 5-30                 5-31
              haskell-email-validate            2.3.2.3-3            2.3.2.3-4
                   haskell-esqueleto             2.5.3-79             2.5.3-80
                        haskell-feed           1.0.0.0-38           1.0.0.0-39
                      haskell-hakyll          4.11.0.0-42          4.11.0.0-45
                       haskell-hasql             1.1.1-45             1.1.1-47
                  haskell-hasql-pool             0.4.3-45             0.4.3-47
           haskell-hasql-transaction             0.5.2-45             0.5.2-47
                    haskell-hedgehog              0.5.3-1              0.5.3-2
                         haskell-hit             0.6.3-80             0.6.3-81
                haskell-hjsonpointer             1.3.0-20             1.3.0-21
                 haskell-hjsonschema             1.7.2-47             1.7.2-49
                 haskell-hledger-lib               1.5-26               1.5-27
                    haskell-hopenpgp            2.5.5-186            2.5.5-187
                       haskell-hpack            0.27.0-26            0.27.0-27
                       haskell-hslua            0.9.5.1-9           0.9.5.1-10
           haskell-hslua-module-text           0.1.2.1-21           0.1.2.1-22
                   haskell-hspec-wai             0.9.0-42             0.9.0-43
              haskell-hspec-wai-json             0.9.0-47             0.9.0-48
                haskell-html-conduit           1.2.1.2-28           1.2.1.2-29
                        haskell-http          4000.3.9-30          4000.3.10-2
               haskell-http-api-data              0.3.8-1              0.3.8-2
                haskell-http-conduit             2.2.4-65             2.2.4-67
                   haskell-http-date           0.0.6.1-43           0.0.6.1-44
                       haskell-http2             1.6.3-19             1.6.3-20
                         haskell-ini             0.3.5-15             0.3.5-16
   haskell-insert-ordered-containers           0.2.1.0-65           0.2.1.0-66
                 haskell-interpolate              0.2.0-1              0.2.0-2
                        haskell-jose           0.6.0.3-50           0.6.0.3-51
                   haskell-js-jquery             3.3.1-27             3.3.1-30
                         haskell-jwt             0.7.2-43             0.7.2-44
                  haskell-lens-aeson             1.0.2-46             1.0.2-47
                      haskell-libmpd            0.9.0.8-1            0.9.0.8-2
                  haskell-megaparsec              6.4.1-3              6.4.1-4
             haskell-microlens-aeson              2.3.0-2              2.3.0-3
                 haskell-microstache           1.0.1.1-24           1.0.1.1-25
                haskell-monad-logger           0.3.28.2-1           0.3.28.2-2
                  haskell-network-ip           0.3.0.2-31           0.3.0.2-32
          haskell-openpgp-asciiarmor               0.1-36               0.1-37
                haskell-pandoc-types          1.17.3.1-15          1.17.3.1-16
                     haskell-parsers            0.12.8-16            0.12.8-17
                        haskell-path             0.6.1-29             0.6.1-30
                     haskell-path-io             1.3.3-25             1.3.3-26
                  haskell-persistent           2.7.3.1-32           2.7.3.1-33
           haskell-persistent-sqlite             2.6.4-58             2.6.4-59
         haskell-persistent-template           2.5.3.1-31           2.5.3.1-32
           haskell-postgresql-binary            0.12.1-61            0.12.1-62
            haskell-project-template           0.2.0.1-19           0.2.0.1-20
                    haskell-psqueues            0.2.5.0-3            0.2.6.0-1
        haskell-quickcheck-instances             0.3.18-2             0.3.18-3
                      haskell-rebase             1.2.3-28             1.2.3-30
                    haskell-rerebase             1.2.1-36             1.2.1-38
                       haskell-retry            0.7.6.1-9           0.7.6.1-10
                         haskell-sbv               7.5-23               7.5-24
                  haskell-scientific            0.3.5.2-8            0.3.5.3-1
                     haskell-servant            0.12.1-30            0.12.1-31
              haskell-servant-server              0.12-77              0.12-79
             haskell-servant-swagger             1.1.4-54             1.1.4-55
                       haskell-shake            0.16.3-13            0.16.3-16
                 haskell-shakespeare            2.0.15-15            2.0.15-16
             haskell-simple-sendfile            0.2.27-16            0.2.27-17
                 haskell-skylighting                0.6-9               0.6-10
                   haskell-sourcemap             0.1.6-56             0.1.6-57
                  haskell-statistics          0.14.0.2-32          0.14.0.2-33
                    haskell-swagger2               2.2-36               2.2-37
           haskell-tagstream-conduit          0.5.5.3-132          0.5.5.3-133
         haskell-tamarin-prover-term              1.2.3-6              1.2.3-7
       haskell-tamarin-prover-theory              1.2.3-7              1.2.3-8
              haskell-tasty-hedgehog            0.2.0.0-1            0.2.0.0-2
                     haskell-texmath          0.10.1.1-13          0.10.1.1-14
                  haskell-text-short              0.1.2-6              0.1.2-7
         haskell-tls-session-manager           0.0.0.2-33           0.0.0.2-34
                    haskell-trifecta           1.7.1.1-47           1.7.1.1-48
                      haskell-turtle              1.5.5-2              1.5.6-1
              haskell-uri-bytestring            0.3.1.1-6            0.3.1.1-7
              haskell-wai-app-static          3.1.6.1-166          3.1.6.1-168
                    haskell-wai-cors             0.2.6-20             0.2.6-21
                   haskell-wai-extra          3.0.22.0-30          3.0.22.0-31
          haskell-wai-handler-launch           3.0.2.3-39           3.0.2.3-41
                  haskell-wai-logger              2.3.2-4              2.3.2-6
              haskell-wai-websockets           3.0.1.1-59           3.0.1.1-60
                        haskell-warp           3.2.18.1-4           3.2.18.1-6
                    haskell-warp-tls           3.2.4.2-26           3.2.4.2-28
                  haskell-websockets           0.12.4.0-2           0.12.4.0-3
                      haskell-xcffib              0.6.0-7              0.6.0-9
                 haskell-xml-conduit           1.7.1.2-19           1.7.1.2-20
                  haskell-xml-hamlet           0.4.1.1-44           0.4.1.1-45
                haskell-xss-sanitize           0.3.5.7-45           0.3.5.7-46
                        haskell-yaml            0.8.28-21            0.8.28-22
                       haskell-yesod            1.4.5-224            1.4.5-226
                  haskell-yesod-auth           1.4.21-116           1.4.21-118
                  haskell-yesod-core          1.4.37.3-41          1.4.37.3-43
               haskell-yesod-default            1.2.0-278            1.2.0-280
                  haskell-yesod-form           1.4.16-119           1.4.16-121
            haskell-yesod-persistent             1.4.3-95             1.4.3-97
                haskell-yesod-static          1.5.3.1-111          1.5.3.1-113
                  haskell-yesod-test           1.5.9.1-80           1.5.9.1-82
                             hexchat             2.14.0-1             2.14.1-1
                             hindent             5.2.5-13             5.2.5-14
                             hledger               1.5-37               1.5-38
                         hledger-api               1.5-96               1.5-99
                          hledger-ui               1.5-56               1.5-58
                         hledger-web              1.5.1-4              1.5.1-6
                               hlint               2.1-14               2.1-15
                              hoogle            5.0.16-38            5.0.16-41
                      hopenpgp-tools           0.19.5-102           0.19.5-103
                               idris             1.2.0-50             1.2.0-51
                               khard             0.12.2-2             0.12.2-3
                             libgiac           1.4.9.57-1           1.4.9.59-1
                            lollypop            0.9.306-1            0.9.401-1
                           nextcloud             13.0.0-1             13.0.1-1
             nextcloud-app-bookmarks           1:0.10.1-1           1:0.11.0-1
                              pandoc             2.1.2-17             2.1.2-20
                     pandoc-citeproc          0.13.0.1-38          0.13.0.1-41
                     pandoc-crossref           0.3.0.1-73           0.3.0.1-76
                     perl-test-inter               1.06-3               1.07-1
                               php71             7.1.14-1                    -
                        php71-apache             7.1.14-1                    -
                          php71-apcu             5.1.10-1                    -
                           php71-cgi             7.1.14-1                    -
                         php71-dblib             7.1.14-1                    -
                         php71-embed             7.1.14-1                    -
                       php71-enchant             7.1.14-1                    -
                           php71-fpm             7.1.14-1                    -
                            php71-gd             7.1.14-1                    -
                          php71-imap             7.1.14-1                    -
                          php71-intl             7.1.14-1                    -
                        php71-mcrypt             7.1.14-1                    -
                          php71-odbc             7.1.14-1                    -
                         php71-pgsql             7.1.14-1                    -
                        php71-phpdbg             7.1.14-1                    -
                        php71-pspell             7.1.14-1                    -
                          php71-snmp             7.1.14-1                    -
                        php71-sqlite             7.1.14-1                    -
                          php71-tidy             7.1.14-1                    -
                           php71-xsl             7.1.14-1                    -
                              pifpaf              2.0.7-1              2.1.0-1
                           postgrest           0.4.4.0-88           0.4.4.0-92
           pycharm-community-edition           2017.3.3-2           2017.3.4-1
                        python-arrow             0.10.0-1             0.12.1-1
                        python-boto3              1.6.7-1              1.6.7-2
                     python-botocore              1.9.7-1              1.9.7-3
            python-django-extensions              1.9.7-1              2.0.3-1
      python-django-modeltranslation             0.12.1-1             0.12.2-1
                     python-django-q              0.9.1-1              0.9.4-1
                        python-flask             0.12.2-3             0.12.2-4
                    python-harparser                0.3-1                0.4-1
                   python-hypothesis             3.49.0-1             3.49.1-1
                         python-mox3             0.24.0-1             0.25.0-1
                 python-openstacksdk             0.9.19-1             0.12.0-1
             python-os-client-config             1.28.0-2             1.29.0-1
                      python-pytorch              0.3.1-1              0.3.1-2
                 python-pytorch-cuda              0.3.1-1              0.3.1-2
                   python-s3transfer             0.1.13-1             0.1.13-2
                   python-tensorflow              1.6.0-1              1.6.0-2
              python-tensorflow-cuda              1.6.0-1              1.6.0-2
               python-tensorflow-opt              1.6.0-1              1.6.0-2
          python-tensorflow-opt-cuda              1.6.0-1              1.6.0-2
                     python-werkzeug             0.14.1-1             0.14.1-2
                       python2-arrow             0.10.0-1             0.12.1-1
           python2-django-extensions              1.9.7-1              2.0.3-1
     python2-django-modeltranslation             0.12.1-1             0.12.2-1
                    python2-django-q              0.9.1-1              0.9.4-1
                       python2-flask             0.12.2-3             0.12.2-4
                   python2-harparser                0.3-1                0.4-1
                  python2-hypothesis             3.49.0-1             3.49.1-1
                        python2-mox3             0.24.0-1             0.25.0-1
                python2-openstacksdk             0.9.19-1             0.12.0-1
            python2-os-client-config             1.28.0-2             1.29.0-1
                      python2-pifpaf              2.0.7-1              2.1.0-1
                     python2-pytorch              0.3.1-1              0.3.1-2
                python2-pytorch-cuda              0.3.1-1              0.3.1-2
                    python2-werkzeug             0.14.1-1             0.14.1-2
                          ruby-cairo            1.15.11-2            1.15.12-1
                             skrooge             2.11.0-2             2.12.0-1
                               stack             1.6.5-40             1.6.5-44
                     stylish-haskell           0.9.0.2-13           0.9.0.2-14
                              synbak                3.5-1                3.6-1
                      tamarin-prover             1.2.3-19             1.2.3-21
                          tensorflow              1.6.0-1              1.6.0-2
                     tensorflow-cuda              1.6.0-1              1.6.0-2
                      tensorflow-opt              1.6.0-1              1.6.0-2
                 tensorflow-opt-cuda              1.6.0-1              1.6.0-2
                             unbound              1.6.8-1              1.7.0-1
                                xcas           1.4.9.57-1           1.4.9.59-1
                              xmobar              0.25-11              0.25-14
                          youtube-dl         2018.03.10-1         2018.03.14-1
                     perl-strictures                    -           2.000003-2
                      perl-type-tiny                    -           1.002001-1
                        python-munch                    -              2.2.0-1
             python-os-service-types                    -              1.2.0-2
                       python2-boto3                    -              1.6.7-2
                    python2-botocore                    -              1.9.7-3
                       python2-munch                    -              2.2.0-1
            python2-os-service-types                    -              1.2.0-2
                  python2-s3transfer                    -             0.1.13-2
                          vim-csound                    -                0.7-1


:: Different overlay package(s) in repository core x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-03-15           2018-03-16
-------------------------------------------------------------------------------
                            linux414            4.14.26-1            4.14.27-1
                    linux414-headers            4.14.26-1            4.14.27-1
                            linux415             4.15.9-1            4.15.10-1
                    linux415-headers             4.15.9-1            4.15.10-1
                      linux416 4.16.r180315.g0aa3fdb-1 4.16.r180316.gdf09348-1
              linux416-headers 4.16.r180315.g0aa3fdb-1 4.16.r180316.gdf09348-1


:: Different overlay package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-03-15           2018-03-16
-------------------------------------------------------------------------------
                  linux414-acpi_call             1.1.0-24             1.1.0-25
                   linux414-bbswitch               0.8-24               0.8-25
                linux414-broadcom-wl      6.30.223.271-24      6.30.223.271-25
                   linux414-catalyst     1:15.201.1151-24     1:15.201.1151-25
                linux414-ndiswrapper              1.61-24              1.61-25
                     linux414-nvidia           1:390.42-1           1:390.42-2
               linux414-nvidia-304xx         1:304.137-24         1:304.137-25
               linux414-nvidia-340xx           340.106-12           340.106-13
                   linux414-nvidiabl              0.88-24              0.88-25
                      linux414-r8168          8.045.08-12          8.045.08-13
                  linux414-rt3562sta        2.4.1.1_r4-24        2.4.1.1_r4-25
                        linux414-spl              0.7.6-2              0.7.6-3
                   linux414-tp_smapi              0.41-24              0.41-25
                linux414-vhba-module          20161009-24          20161009-25
   linux414-virtualbox-guest-modules              5.2.8-4              5.2.8-5
    linux414-virtualbox-host-modules              5.2.8-4              5.2.8-5
                        linux414-zfs              0.7.6-2              0.7.6-3
                  linux415-acpi_call             1.1.0-10             1.1.0-11
                   linux415-bbswitch               0.8-10               0.8-11
                linux415-broadcom-wl      6.30.223.271-10      6.30.223.271-11
                   linux415-catalyst     1:15.201.1151-10     1:15.201.1151-11
                linux415-ndiswrapper              1.61-10              1.61-11
                     linux415-nvidia           1:390.42-1           1:390.42-2
               linux415-nvidia-304xx         1:304.137-10         1:304.137-11
               linux415-nvidia-340xx           340.106-10           340.106-11
                   linux415-nvidiabl              0.88-10              0.88-11
                      linux415-r8168          8.045.08-10          8.045.08-11
                        linux415-spl              0.7.6-2              0.7.6-3
                   linux415-tp_smapi              0.41-10              0.41-11
                linux415-vhba-module          20161009-10          20161009-11
   linux415-virtualbox-guest-modules              5.2.8-3              5.2.8-4
    linux415-virtualbox-host-modules              5.2.8-3              5.2.8-4
                        linux415-zfs              0.7.6-2              0.7.6-3


:: Different sync package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-03-15           2018-03-16
-------------------------------------------------------------------------------
                     cantarell-fonts            1:0.100-1            1:0.101-1
                 editorconfig-core-c             0.12.1-3             0.12.2-1
                             liferea             1.12.1-1             1.12.2-1
                   python-setuptools           1:38.5.2-1           1:38.6.0-1
                  python2-setuptools           1:38.5.2-1           1:38.6.0-1
                     qt5-declarative             5.10.1-2             5.10.1-3
                                   r              3.4.3-1              3.4.4-1
                           syslog-ng             3.13.2-2             3.14.1-1
                   xf86-video-amdgpu             18.0.0-1             18.0.1-1
                      xf86-video-ati           1:18.0.0-1           1:18.0.1-1
                      xfce4-terminal            0.8.7.1-1            0.8.7.2-1
                            xvidcore              1.3.4-1              1.3.5-1


:: Different sync package(s) in repository multilib x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-03-15           2018-03-16
-------------------------------------------------------------------------------
                    lib32-fluidsynth              1.1.9-1             1.1.10-1
                     lib32-freetype2              2.8.1-1                2.9-2
                      lib32-harfbuzz              1.7.5-1              1.7.6-1
                  lib32-harfbuzz-icu              1.7.5-1              1.7.6-1
                      lib32-libepoxy              1.4.3-1              1.5.0-1
                    lib32-sdl2_image              2.0.2-1              2.0.3-1
                         lib32-slang             2.3.1a-1              2.3.2-1
                        lib32-wxgtk2            3.0.3.1-1              3.0.4-1

  • No issues, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself. (Please post your solution)
  • Yes I am currently experiencing an issue due to the update. (Please post about it)

0 voters


Check if your mirror has already synced:


[Testing Update] 2018-03-15 - Deepin, Systemd, Firefox, Haskell, Python
#2

wiki post


#3

The microcode error with kernel 4.16 has been resolved with this update. Thanks.


#4

Question: What changed because previously this was never more than 430ms ?

$ systemd-analyze blame
           644ms lvm2-monitor.service

Is not a big deal, but i was just curios :slight_smile:


#5

Silly question @philm
Since when is HZ_1000 used in Manjaro’s kernels? I missed a lot in past year…

FOR ALL >>

You can now install Maia based colors yakuake skin and Cursor for KDE Plasma. See thread:

SETUP

s

s

sudo pacman -Sy maia-cursor-theme 

sudo pacman -Sy yakuake-skin-maia

Regads

FM


#7

I changed back from stable to testing with this update and no X-server crash so far. :+1:


#8

Easy trouble-free update on Lappy, thanks, & once logged back in, i was delighted to see WiFi detected & reconnected within seconds, just like the good ole days. Woohoo.


#9

I have a very long time to connect with expressvpn - Manjaro 17.1.6 xfce testing, Manjaro 17.1.7RC4 xfce. On stable release is all good. I try it on kernel 4.14 & 4.15. What is wrong? Thanks.


#10

No issues on xfce 4.15


#11

That one went great for me! Thanks once again!


#12

This update went wonders for me. As it is a testing branch, my kernel is the testing kernel (4.16). It should make more sense with this setup than using a stable kernel with a testing branch?


#13

Maybe need to downgrade network-manager ? Or else? Or not? Thanks.


#14

Confirm issue with latest bluez upgrade (5.49-1) is still present with all tested kernels (4.9, 4.14 and 4.15).
For some reasons the service cannot start:

-- Logs begin at Fri 2016-07-01 08:54:53 BST, end at Fri 2018-03-16 17:25:57 GMT. --
Mar 16 17:16:55 l256p01rc6 systemd[1]: bluetooth.service: Failed with result 'core-dump'.
Mar 16 17:16:55 l256p01rc6 systemd[1]: bluetooth.service: Main process exited, code=dumped, status=11/SEGV
Mar 16 17:16:55 l256p01rc6 bluetoothd[1374]: Bluetooth management interface 1.14 initialized
Mar 16 17:16:55 l256p01rc6 bluetoothd[1374]: Starting SDP server
Mar 16 17:16:55 l256p01rc6 systemd[1]: Started Bluetooth service.
Mar 16 17:16:55 l256p01rc6 bluetoothd[1374]: Bluetooth daemon 5.49
Mar 16 17:16:55 l256p01rc6 systemd[1]: Starting Bluetooth service...
Mar 16 17:16:21 l256p01rc6 systemd[1]: bluetooth.service: Failed with result 'core-dump'.
Mar 16 17:16:21 l256p01rc6 systemd[1]: bluetooth.service: Main process exited, code=dumped, status=11/SEGV
Mar 16 17:16:20 l256p01rc6 systemd[1]: Started Bluetooth service.
Mar 16 17:16:19 l256p01rc6 systemd[1]: Starting Bluetooth service...

Downgrading to previous version 5.48-2 solves issue.
Cheers,


#15

On my main computer

A. New issues

Nothing new to report so far

Manjaro Cinnamon
Kernel 4.14 (using kernel-alive)
Did the update with Pamac

Intel i5-6400
Nvidia Geforce GTX 970


#16

I’ve just started a VM to test this great distro inside a stable branch KDE edition, but was’nt abble to upgrade to the testing branch:

:: Doorgaan met de installatie? [J/n] j
(144/144) sleutels in sleutelbos controleren       [###################] 100%
(144/144) pakketintegriteit controleren            [###################] 100%
(144/144) pakketbestanden laden                    [###################] 100%
(144/144) controleren van conflicterende besta...  [###################] 100%
fout:fout bij het uitvoeren van de transactie (conflicterende bestanden)
firefox: /usr/lib/firefox/distribution/distribution.ini bestaat in bestandssysteem
Er zijn fouten opgetreden, geen enkel pakket geüpgraded.

What can I do to upgrade? Should I remove the conflicting file from Firefox?


[Testing Update] 2018-03-17 - Systemd, Firefox, Deepin
#17

Its been mentioned by a few solo threads that missed its mention in the last 2 or 3 release announcement threads…
You can remove it, it will be replaced by an identical one.
Though, if your mirrors are up-to-date I didnt think you would run into it at all since we grumbled over it for a few days and (I thought) released fixes for the upgrade path.


#18

This is bizarre. We got this problem two days ago, but since the release of manjaro-system 20180315-1, it shouldn’t appeared anymore because after updating manjaro-system to 20180315-1, distribution.ini file and /usr/lib/firefox/distribution directory are supposed to dissapear. Also, normally, manjaro-system updates completely before potential file conflicts for firefox are checked; therefore, normally, when the package manager check for file conflicts for firefox, it should not detect anything.

Did manjaro-system got updated to 20180315-1 before? If yes, well… I have no idea why there’s still a file conflict on your system. That’s pretty unfortunate. In that case, I guess you have no choice but to solve the file conflict manually, either by deleting /usr/lib/firefox/distribution/distribution.ini, by renaming it with an .old at the end or by moving it in your home directory.


#19

Still think it could be out-of-date or non-synced mirrors.
sudo pacman-mirrors -f0 && sudo pacman -Syyu
If not, then yes unfortunate.


#20

Did you do a “sudo pacman-mirrors f0” to update the mirrors?
… and then a “sudo pacman -Syyu” to update the packages?
Is strange that still happen this problem with “/usr/lib/firefox/distribution/distribution.ini” if it is already solved


#21

Thanks for all your help. Removing the .ini file fixed the issue for me. The mirrors in the Netherlands should be up to date, so I don’t know how this happend if the issue was fixed. Maybe because I just now enabled testing?